#
# spec file for package lsb
#
# Copyright (c) 2013, 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           lsb5
Summary:        Linux Standard Base
License:        GPL-2.0+
Group:          System/Fhs
Version:        5.0
Release:        2.1
Url:            http://www.linuxbase.org/
ExclusiveArch: %ix86 x86_64 ppc ppc64 s390 s390x
Provides:	lsb = 5.0
Requires:	lsb-release
Requires:	lsb5-core = %{version}
Requires:	lsb5-desktop = %{version}
Requires:	lsb5-imaging = %{version}
Requires:	lsb5-languages = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:	generate-library-requires.sh
Source1:	core-commands.inc
Source2: core-commands.txt
Source3: core-libraries.32bit.inc
Source4: core-libraries.64bit.inc
Source5: core-libraries.txt
Source6: desktop-libraries.32bit.inc
Source7: desktop-libraries.64bit.inc
Source8: desktop-libraries.txt
Source9: imaging-libraries.32bit.inc
Source10: imaging-libraries.64bit.inc
Source11: imaging-libraries.txt
Source12: languages-libraries.32bit.inc
Source13: languages-libraries.64bit.inc
Source14: perl-modules.inc

%package core
Summary:        Linux Standard Base Core Module
License:        GPL-2.0+
Provides:       lsb-core = 5.0
Provides:       lsb-core-noarch = 5.0
%ifarch %ix86 x86_64
Provides:	lsb-core-ia32 = 5.0
%endif
%ifarch x86_64
Provides:	lsb-core-amd64 = 5.0
%endif
%ifarch ppc ppc64
Provides:	lsb-core-ppc32 = 5.0
%endif
%ifarch ppc64 s390x
Provides:	lsb-core-%{_target_cpu} = 5.0
%endif
Requires:       glibc-i18ndata
Requires:       lsb-release
# Requires for /usr/lib/lsb/* does not work, thus:
Requires:      insserv >= 1.12.0
Requires:	star
%include	%{_sourcedir}/core-commands.inc
%ifarch %ix64 ppc s390
%include	%{_sourcedir}/core-libraries.32bit.inc
%endif
%ifarch ppc64 s390x x86_64
%include	%{_sourcedir}/core-libraries.64bit.inc
%endif
%ifarch %ix64 ppc s390
Requires:      libc.so.6(GLIBC_2.3.4)
Requires:      libm.so.6(GLIBC_2.2)
%endif
%ifarch ppc64 s390x
Requires:      libc.so.6(GLIBC_2.3.4)(64bit)
Requires:      libm.so.6(GLIBC_2.2)(64bit)
%endif
%ifarch x86_64
Requires:      libc.so.6(GLIBC_2.3.4)(64bit)
Requires:      libm.so.6(GLIBC_2.2.5)(64bit)
%endif

%package desktop
Summary:        Linux Standard Base Desktop Module
License:        GPL-2.0+
Provides:       lsb-desktop = 5.0
Provides:       lsb-desktop-noarch = 5.0
%ifarch %ix86 x86_64
Provides:       lsb-desktop-ia32 = 5.0
%endif
%ifarch x86_64
Provides:       lsb-desktop-amd64 = 5.0
%endif
%ifarch ppc ppc64
Provides:       lsb-desktop-ppc32 = 5.0
%endif
%ifarch ppc64 s390x
Provides:       lsb-desktop-%{_target_cpu} = 5.0
%endif
Requires:       lsb-core = 5.0
Recommends:	libqt4-sql-sqlite
%ifarch %ix64 ppc s390
%include	%{_sourcedir}/desktop-libraries.32bit.inc
%endif
%ifarch ppc64 s390x x86_64
%include	%{_sourcedir}/desktop-libraries.64bit.inc
%endif

%package imaging
Summary:        Linux Standard Base Imaging Module
License:        GPL-2.0+
Provides:       lsb-imaging = 5.0
Provides:       lsb-imaging-noarch = 5.0
%ifarch %ix86 x86_64
Provides:       lsb-imaging-ia32 = 5.0
%endif
%ifarch x86_64
Provides:       lsb-imaging-amd64 = 5.0
%endif
%ifarch ppc ppc64
Provides:       lsb-imaging-ppc32 = 5.0
%endif
%ifarch ppc64 s390x
Provides:       lsb-imaging-%{_target_cpu} = 5.0
%endif
Provides:       lsb-imaging-%{_arch} = 5.0
Requires:       lsb-core = 5.0
Requires:       /usr/bin/foomatic-rip
Requires:       /usr/bin/gs
# XXX We need /usr/share/ppd, this is the only package providing it ...
Requires:       cups-filters
%ifarch %ix64 ppc s390
%include	%{_sourcedir}/imaging-libraries.32bit.inc
%endif
%ifarch ppc64 s390x x86_64
%include	%{_sourcedir}/imaging-libraries.64bit.inc
%endif

%package languages
Summary:        Linux Standard Base Runtime Languages Module
License:        GPL-2.0+
Provides:       lsb-languages = 5.0
Provides:       lsb-languages-noarch = 5.0
%ifarch %ix86 x86_64
Provides:       lsb-languages-ia32 = 5.0
%endif
%ifarch x86_64
Provides:       lsb-languages-amd64 = 5.0
%endif
%ifarch ppc ppc64
Provides:       lsb-languages-ppc32 = 5.0
%endif
%ifarch ppc64 s390x
Provides:       lsb-languages-%{_target_cpu} = 5.0
%endif
Requires:       lsb-core = 5.0
Requires:       perl >= 5.8.8
Requires:       /usr/bin/perl
Requires:       python >= 2.4.2
Requires:       /usr/bin/python
%include    %{_sourcedir}/perl-modules.inc
%ifarch %ix64 ppc s390
%include	%{_sourcedir}/languages-libraries.32bit.inc
%endif
%ifarch ppc64 s390x x86_64
%include	%{_sourcedir}/languages-libraries.64bit.inc
%endif
# Deprecated, only install if available (several failures in perl testsuite)
Recommends:     perl-Class-ISA
Recommends:	perl-Shell

%description
Necessary files and dependencies for the Linux Standard Base (LSB).

%description core
Necessary files and dependencies for the Core Module of the
Linux Standard Base (LSB).

%description desktop
Necessary files and dependencies for the Desktop Module of the
Linux Standard Base (LSB).

%description imaging
Necessary files and dependencies for the Imaging Module of the
Linux Standard Base (LSB).

%description languages
Necessary files and dependencies for the Runtime Languages Module of the
Linux Standard Base (LSB).

%prep

%build

%install
mkdir -p $RPM_BUILD_ROOT/media
mkdir -p $RPM_BUILD_ROOT/etc/lsb-release.d
touch $RPM_BUILD_ROOT/etc/lsb-release.d/core-5.0-noarch
touch $RPM_BUILD_ROOT/etc/lsb-release.d/desktop-5.0-noarch
touch $RPM_BUILD_ROOT/etc/lsb-release.d/languages-5.0-noarch
touch $RPM_BUILD_ROOT/etc/lsb-release.d/imaging-5.0-noarch
%ifarch %ix86
touch $RPM_BUILD_ROOT/etc/lsb-release.d/core-5.0-ia32
touch $RPM_BUILD_ROOT/etc/lsb-release.d/desktop-5.0-ia32
touch $RPM_BUILD_ROOT/etc/lsb-release.d/languages-5.0-ia32
touch $RPM_BUILD_ROOT/etc/lsb-release.d/imaging-5.0-ia32
%endif
%ifarch x86_64
touch $RPM_BUILD_ROOT/etc/lsb-release.d/core-5.0-amd64
touch $RPM_BUILD_ROOT/etc/lsb-release.d/desktop-5.0-amd64
touch $RPM_BUILD_ROOT/etc/lsb-release.d/languages-5.0-amd64
touch $RPM_BUILD_ROOT/etc/lsb-release.d/imaging-5.0-amd64
%endif
%ifarch ppc64
touch $RPM_BUILD_ROOT/etc/lsb-release.d/core-5.0-ppc64
touch $RPM_BUILD_ROOT/etc/lsb-release.d/desktop-5.0-ppc64
touch $RPM_BUILD_ROOT/etc/lsb-release.d/languages-5.0-ppc64
touch $RPM_BUILD_ROOT/etc/lsb-release.d/imaging-5.0-ppc64
%endif
%ifarch ppc
touch $RPM_BUILD_ROOT/etc/lsb-release.d/core-5.0-ppc
touch $RPM_BUILD_ROOT/etc/lsb-release.d/desktop-5.0-ppc
touch $RPM_BUILD_ROOT/etc/lsb-release.d/languages-5.0-ppc
touch $RPM_BUILD_ROOT/etc/lsb-release.d/imaging-5.0-ppc
%endif
%ifarch s390x
touch $RPM_BUILD_ROOT/etc/lsb-release.d/core-5.0-s390x
touch $RPM_BUILD_ROOT/etc/lsb-release.d/desktop-5.0-s390x
touch $RPM_BUILD_ROOT/etc/lsb-release.d/languages-5.0-s390x
touch $RPM_BUILD_ROOT/etc/lsb-release.d/imaging-5.0-s390x
%endif
%ifarch s390
touch $RPM_BUILD_ROOT/etc/lsb-release.d/core-5.0-s390
touch $RPM_BUILD_ROOT/etc/lsb-release.d/desktop-5.0-s390
touch $RPM_BUILD_ROOT/etc/lsb-release.d/languages-5.0-s390
touch $RPM_BUILD_ROOT/etc/lsb-release.d/imaging-5.0-s390
%endif

%files
%defattr(-,root,root)
#/etc/lsb-release

%files core
%defattr(-,root,root)
%dir /media
%dir /etc/lsb-release.d
/etc/lsb-release.d/core-*

%files desktop
%defattr(-,root,root)
%dir /etc/lsb-release.d
/etc/lsb-release.d/desktop-*

%files imaging
%defattr(-,root,root)
%dir /etc/lsb-release.d
/etc/lsb-release.d/imaging-*

%files languages
%defattr(-,root,root)
%dir /etc/lsb-release.d
/etc/lsb-release.d/languages-*

%changelog
* Fri Aug 21 2015 mvetter@suse.com
- bsc#942467: links for /lib*/ld-lsb* are already contained in glibc
* Tue Aug 18 2015 mvetter@suse.com
- Create lib64 directory for s390x bsc#942096
- fate#319048
* Thu Aug 13 2015 mvetter@suse.com
- Imported package from obs home:kukuk:LSB5/lsb5 for fate#319048
- Removed lsb5-testsuite subpackage
- Use proper arch macro
* Mon Jun 22 2015 kukuk@suse.de
- Add perl-URI to testsuite-deps, need to check where it is coming
  from
* Wed Jun  3 2015 kukuk@suse.de
- Move perl-Class-ISA recommends to lsb5-languages
- Recommend perl-Shell for lsb5-languages
* Thu May 28 2015 kukuk@suse.de
- Correct Provides for all supported architectures
* Fri May 15 2015 kukuk@suse.de
- Add libpng15
* Fri May 15 2015 kukuk@suse.de
- Add lsb5 dependency to lsb-testsuite-deps RPM
* Tue Feb  3 2015 kukuk@suse.de
- Create own subpackage lsb5-testsuite-deps for LSB distribution
  runtime test suite.
* Mon Feb  2 2015 kukuk@suse.de
- Add /media directory to core module [bnc#915562]
- Add /etc/lsb-release.d to every sub package
* Thu Jan 29 2015 kukuk@suse.de
- Fix libm dependencies on x86-64
* Thu Jan 29 2015 kukuk@suse.de
- Disable perl(Locale::Constats) (does not exist on SLE12)
* Thu Jan 29 2015 kukuk@suse.de
- Initial Version for LSB 5.0rc2
